org.apache.bcel.classfile

## Class ConstantInterfaceMethodref

- java.lang.Object
- - org.apache.bcel.classfile.Constant
  - - org.apache.bcel.classfile.ConstantCP
    - - org.apache.bcel.classfile.ConstantInterfaceMethodref

- All Implemented Interfaces:
    Cloneable, Node

      public final class ConstantInterfaceMethodref
      extends ConstantCP

  This class represents a constant pool reference to an interface method.
  Version:
    $Id$

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.classfile.ConstantCP

      `class_index, name_and_type_index`

    - ### Fields inherited from class org.apache.bcel.classfile.Constant

      `tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantInterfaceMethodref(ConstantInterfaceMethodref c)` Initialize from another object.
    `ConstantInterfaceMethodref(int class_index, int name_and_type_index)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.

    - ### Methods inherited from class org.apache.bcel.classfile.ConstantCP

      `dump, getClass, getClassIndex, getNameAndTypeIndex, setClassIndex, setNameAndTypeIndex, toString`

    - ### Methods inherited from class org.apache.bcel.classfile.Constant

      `clone, copy, equals, getComparator, getTag, hashCode, readConstant, setComparator`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantInterfaceMethodref

          public ConstantInterfaceMethodref(ConstantInterfaceMethodref c)

      Initialize from another object.

    - #### ConstantInterfaceMethodref

          public ConstantInterfaceMethodref(int class_index,
                                            int name_and_type_index)

      Parameters:
        `class_index` - Reference to the class containing the method
        `name_and_type_index` - and the method signature

  - ### Method Detail

    - #### accept

          public void accept(Visitor v)

      Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.
      Specified by:
        `accept` in interface `Node`
      Specified by:
        `accept` in class `Constant`
      Parameters:
        `v` - Visitor object

Copyright © 2004–2019 The Apache Software Foundation. All rights reserved.